Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

company_id
string

The unique identifier of the company to list invoices for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for ordering results, either ascending or descending.

Available options:
asc,
desc
product_ids
string[]

Filter invoices to only those associated with these specific product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

collection_methods
enum<string>[]

Filter invoices by their collection method.

The method of collection for an invoice.

Available options:
send_invoice,
charge_automatically
statuses
enum<string>[]

Filter invoices by their current status.

The different statuses an invoice can be in

Available options:
draft,
open,
paid,
past_due,
uncollectible,
void
order
enum<string>

The field to order results by, such as creation date or due date.

Available options:
id,
created_at,
due_date
created_before
string<date-time>

Only return invoices created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return invoices created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicInvoice.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.